#
#	Apple Macintosh Developer Technical Support
#
#	Exception handling for MPW Pascal, MacApp and MPW C
#
#	UFailure (aka Signals) - Exceptional code, with a few exceptions.
#
#	TestSignal.make	-	Makefile for Pascal access to enhanced UFailure
#
#	Copyright  1985-1988 Apple Computer, Inc.
#	All rights reserved.
#
#	Versions:	1.0					11/88
#
#	Components:	UFailure.p			November 1, 1988
#				UFailure.h			November 1, 1988
#				UFailure.inc1.p		November 1, 1988
#				UFailure.a			November 1, 1988
#				TestCignal.c		November 1, 1988
#				TestCignal.make		November 1, 1988
#				TestSignal.p		November 1, 1988
#				TestSignal.make		November 1, 1988
#
#	UFailure (or Signals) is a set of exception handling routines suitable for
#	use with MacApp, MPW C, and MPW Pascal. It is a jazzed-up version of the MacApp
#	UFailure unit. There is a set of C interfaces to it as well.
#

# turn on debugging information (use 0 & FALSE to turn it off)
AOptions = -d &Debug=1
POptions = -d qDebug=TRUE -mbg ch8
# if you set qDebug to FALSE you should use -mbg off

UFailure.o			UFailure.p.o UFailure.a.o
	Lib UFailure.p.o UFailure.a.o -o UFailure.o
	
UFailure.p.o  UFailure.p UFailure.inc1.p
	
TestSignal.p.o  TestSignal.p UFailure.p

TestSignal  TestSignal.p.o UFailure.o
	Link -c 'MPS ' -t MPST 
		-sn STDIO=Main 
		-sn INTENV=Main 
		-sn %A5Init=Init 
		"{Libraries}"Runtime.o 
		"{Libraries}"Interface.o 
		"{PLibraries}"PasLib.o 
		UFailure.o 
		TestSignal.p.o 
		-o TestSignal
# note that we could link with stubs to reduce the tool size (see the
# ResEqual MPW tool example)